﻿using System.Collections.Generic;

namespace Falcon.SugarApi.Plugin
{
    /// <summary>
    /// 插件配置
    /// </summary>
    public static class PluginOptions
    {
        /// <summary>
        /// 插件安装搜索目录
        /// </summary>
        public static List<string> PluginPaths { get; private set; } = new List<string>() { "","/plugin" };

        /// <summary>
        /// 插件配置文件中Swagger定义节点名称
        /// </summary>
        public static string SwiggerDefincePathName { get; private set; } = "swagger";

        /// <summary>
        /// 配置中定义组件启动程序集文件键
        /// </summary>
        public static string PluginName { get; private set; } = "PluginName";

        /// <summary>
        /// 插件配置文件名称
        /// </summary>
        public static List<string> PluginNames { get; private set; } = new List<string>();

    }
}
