﻿namespace Falcon.SugarApi.ApiClient
{
    /// <summary>
    /// 通过HttpClient调用api
    /// </summary>
    public interface IHttpClientHelper
    {
        /// <summary>
        /// 向服务器发送POST请求
        /// </summary>
        /// <param name="url">api服务器url地址</param>
        /// <param name="data">要发送的数据</param>
        /// <returns>响应数据</returns>
        /// <exception cref="Falcon.SugarApi.ApiClient.ApiClientException">请求api时候发生的异常</exception>
        string Post(string url,string data);
    }
}